Subscription's catalog
Subscriptions API (2.0)
OpenAPI記述をダウンロード
言語
サーバー
Mock server
https://xsolla.redocly.app/_mock/ja/api/subscriptions/
- https://subscriptions.xsolla.com/api/user/v1/projects/{project_id}/catalog
- Mock serverhttps://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/projects/{project_id}/catalog
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/projects/{project_id}/catalog?limit=0&offset=0&locale=string&country=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'レスポンス
application/json
{ "default_plans": { "has_more": "false", "items": [], "name": "Some product name" }, "has_more": "false", "plans_by_product": [] }
- https://subscriptions.xsolla.com/api/user/v1/projects/{project_id}/plans
- Mock serverhttps://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/projects/{project_id}/plans
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/projects/{project_id}/plans?plan_id=0&plan_external_id=string&limit=0&offset=0&locale=string&country=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'レスポンス
application/json
{ "has_more": "false", "items": [] }
- https://subscriptions.xsolla.com/api/user/v1/projects/{project_id}/products
- Mock serverhttps://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/projects/{project_id}/products
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/projects/{project_id}/products?limit=0&offset=0&locale=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'レスポンス
application/json
{ "has_more": false, "items": [] }